From e760ab96990d98723219acdcc1ed7eb9b197f0ed Mon Sep 17 00:00:00 2001
From: Adam Young <ayoung@redhat.com>
Date: Fri, 4 Nov 2011 17:17:47 -0400
Subject: [PATCH] Dead code removal

This patch removes all of the locations that Eclipse identified as Dead code.  Only the Eclipse automated cleanups were performed,  which means that some of the locations which were in *if* blocks still have the corresponding brackets around them.  These ensure that the original variable semantics weren't changed,  but are safe to remove in the future.

https://bugzilla.redhat.com/show_bug.cgi?id=728303
---
 .../com/netscape/cms/authentication/CMCAuth.java   |   16 +---
 .../netscape/cms/listeners/PinRemovalListener.java |    1 -
 .../com/netscape/cms/logging/RollingLogFile.java   |    4 +-
 .../profile/def/AuthTokenSubjectNameDefault.java   |    4 +-
 .../def/nsTokenUserKeySubjectNameDefault.java      |    7 +-
 .../publishers/LdapEncryptCertPublisher.java       |    4 -
 .../netscape/cms/servlet/admin/CAAdminServlet.java |    2 -
 .../cms/servlet/admin/LogAdminServlet.java         |  105 --------------------
 .../cms/servlet/cert/CMCRevReqServlet.java         |    5 +-
 .../servlet/cert/ChallengeRevocationServlet1.java  |    5 +-
 .../netscape/cms/servlet/cert/CloneRedirect.java   |    5 +-
 .../com/netscape/cms/servlet/cert/DisplayCRL.java  |    5 +-
 .../src/com/netscape/cms/servlet/cert/GetCRL.java  |    7 --
 .../cms/servlet/cert/HashEnrollServlet.java        |   10 --
 .../cms/servlet/common/CMCOutputTemplate.java      |    2 -
 .../cms/servlet/csadmin/ConfigHSMLoginPanel.java   |    6 +-
 .../netscape/cms/servlet/csadmin/GetCookie.java    |    5 +-
 .../cms/servlet/csadmin/MainPageServlet.java       |    5 +-
 .../cms/servlet/csadmin/UpdateNumberRange.java     |   36 +-------
 .../netscape/cms/servlet/ocsp/AddCAServlet.java    |    5 +-
 .../netscape/cms/servlet/ocsp/AddCRLServlet.java   |   16 ---
 .../cms/servlet/ocsp/CheckCertServlet.java         |    5 +-
 .../netscape/cms/servlet/ocsp/ListCAServlet.java   |    5 +-
 .../netscape/cms/servlet/ocsp/RemoveCAServlet.java |    5 +-
 .../src/com/netscape/cmscore/apps/CMSEngine.java   |    4 -
 .../src/com/netscape/cmscore/dbs/DBSubsystem.java  |    9 --
 .../com/netscape/cmscore/dbs/KeyRecordList.java    |    4 +-
 .../com/netscape/cmscore/logging/LogSubsystem.java |    4 -
 .../com/netscape/cmscore/security/KeyCertUtil.java |    2 -
 .../com/netscape/cmscore/util/FileAsString.java    |    8 +--
 .../src/com/netscape/cmstools/CMCEnroll.java       |    5 +-
 .../src/com/netscape/cmstools/DRMTool.java         |    8 --
 .../src/com/netscape/cmstools/PKCS10Client.java    |    3 -
 .../src/com/netscape/kra/EnrollmentService.java    |   17 +---
 .../src/com/netscape/kra/KeyRecoveryAuthority.java |   10 +--
 .../src/com/netscape/kra/NetkeyKeygenService.java  |    7 +-
 pki/base/silent/src/argparser/ArgParser.java       |    4 -
 37 files changed, 22 insertions(+), 333 deletions(-)

diff --git a/pki/base/common/src/com/netscape/cms/authentication/CMCAuth.java b/pki/base/common/src/com/netscape/cms/authentication/CMCAuth.java
index e102f18f85472e5abf8bc8a1f1fd74ad1654d7f0..b7f7fb346c0c3eff13c3cdbbbdd2a081abc35c89 100644
--- a/pki/base/common/src/com/netscape/cms/authentication/CMCAuth.java
+++ b/pki/base/common/src/com/netscape/cms/authentication/CMCAuth.java
@@ -906,23 +906,9 @@ public class CMCAuth implements IAuthManager, IExtendedPluginInfo,
                     // find from internaldb if it's ca. (ra does not have that.)
                     // find from internaldb usrgrp info
                     
-                    if (cert == null) {
+                    {
                         // find from certDB
                         si.verify(digest, id);
-                    } else {
-                        PublicKey signKey = cert.getPublicKey();
-                        PrivateKey.Type keyType = null;
-                        String alg = signKey.getAlgorithm();
-
-                        if (alg.equals("RSA")) {
-                            keyType = PrivateKey.RSA;
-                        } else if (alg.equals("DSA")) {
-                            keyType = PrivateKey.DSA;
-                        } else {
-                        }
-                        PK11PubKey pubK = PK11PubKey.fromRaw(keyType, ((X509Key) signKey).getKey());
-
-                        si.verify(digest, id, pubK);
                     }
                     
                 } // 
diff --git a/pki/base/common/src/com/netscape/cms/listeners/PinRemovalListener.java b/pki/base/common/src/com/netscape/cms/listeners/PinRemovalListener.java
index 0c09395c3d328d2ca822fbcf26b29d0361e648e3..2f02774d02ccf192f7c537949d55d7ac8ca55a47 100644
--- a/pki/base/common/src/com/netscape/cms/listeners/PinRemovalListener.java
+++ b/pki/base/common/src/com/netscape/cms/listeners/PinRemovalListener.java
@@ -90,7 +90,6 @@ public class PinRemovalListener implements IRequestListener {
     public String[] getConfigParams() 
         throws EBaseException {
 
-        if (1 == 2) throw new EBaseException("");
         return configParams;
     }
 
diff --git a/pki/base/common/src/com/netscape/cms/logging/RollingLogFile.java b/pki/base/common/src/com/netscape/cms/logging/RollingLogFile.java
index 27657ef74b098c87217ff7a7d6df3a91c9d88263..becd8a3b77d2544a6a6af7702106e00caa4a4d7f 100644
--- a/pki/base/common/src/com/netscape/cms/logging/RollingLogFile.java
+++ b/pki/base/common/src/com/netscape/cms/logging/RollingLogFile.java
@@ -321,9 +321,7 @@ public class RollingLogFile extends LogFile {
         if (index != -1) { // "/"  exist in fileName
             pathName = fileName.substring(0, index);
             baseName = fileName.substring(index + 1);
-            if (dirName == null) {
-                dirName = pathName;
-            } else {
+            {
                 dirName = dirName.concat("/" + pathName);
             }
         }else { // "/" NOT exist in fileName
diff --git a/pki/base/common/src/com/netscape/cms/profile/def/AuthTokenSubjectNameDefault.java b/pki/base/common/src/com/netscape/cms/profile/def/AuthTokenSubjectNameDefault.java
index 63eaf593811e2336d15076f680385ea180caf7c5..52c588a8133c4e643966c3652560f8b31d7bec80 100644
--- a/pki/base/common/src/com/netscape/cms/profile/def/AuthTokenSubjectNameDefault.java
+++ b/pki/base/common/src/com/netscape/cms/profile/def/AuthTokenSubjectNameDefault.java
@@ -79,10 +79,8 @@ public class AuthTokenSubjectNameDefault extends EnrollDefault {
 
             try {
                 x500name = new X500Name(value);
-                if (x500name != null) {
+                {
                     CMS.debug("AuthTokenSubjectNameDefault: setValue x500name=" + x500name.toString());
-                } else {
-                    CMS.debug("AuthTokenSubjectNameDefault: setValue x500name=null");
                 }
             } catch (IOException e) {
                 CMS.debug("AuthTokenSubjectNameDefault: setValue " + 
diff --git a/pki/base/common/src/com/netscape/cms/profile/def/nsTokenUserKeySubjectNameDefault.java b/pki/base/common/src/com/netscape/cms/profile/def/nsTokenUserKeySubjectNameDefault.java
index e9bb59e659ce71f1eb7780c9aec1c634357866cc..d364037585b2764173ddcc69135acc88e7ba5782 100644
--- a/pki/base/common/src/com/netscape/cms/profile/def/nsTokenUserKeySubjectNameDefault.java
+++ b/pki/base/common/src/com/netscape/cms/profile/def/nsTokenUserKeySubjectNameDefault.java
@@ -429,15 +429,10 @@ ldapInit();
                        request.setExtData(mLdapStringAttrs[i], escapeValueRfc1779(sla[0], false).toString());
                }
             }
-//cfu
-            if (request != null)  {
+            {
                 CMS.debug("pattern = "+pattern);
                 sbjname = mapPattern(request, pattern);
                 CMS.debug("nsTokenUserKeySubjectNameDefault: getSubjectName(): subject name mapping done");
-            } else {
-                CMS.debug( "nsTokenUserKeySubjectNameDefault::getSubjectName() "
-                         + "- request is null!" );
-                throw new EProfileException( "request is null" );
             }
             CMS.debug("nsTokenUserKeySubjectNameDefault: getSubjectName(): attributes set in request");
 
diff --git a/pki/base/common/src/com/netscape/cms/publish/publishers/LdapEncryptCertPublisher.java b/pki/base/common/src/com/netscape/cms/publish/publishers/LdapEncryptCertPublisher.java
index dc651c1559d78b2a82cedc87fd0fec77c6105b6c..902763b48d8cf4e39c7f979d28bd828241b7bc2d 100644
--- a/pki/base/common/src/com/netscape/cms/publish/publishers/LdapEncryptCertPublisher.java
+++ b/pki/base/common/src/com/netscape/cms/publish/publishers/LdapEncryptCertPublisher.java
@@ -235,10 +235,6 @@ public class LdapEncryptCertPublisher implements ILdapPublisher, IExtendedPlugin
         LDAPAttribute attr, byte[] bval) {
 
         LDAPAttribute at = new LDAPAttribute(attr.getName(), bval);
-        if (at == null) {
-            return at;
-        }
-
         // determine if the given cert is a signing or an encryption
         // certificate
         X509CertImpl thisCert = null;
diff --git a/pki/base/common/src/com/netscape/cms/servlet/admin/CAAdminServlet.java b/pki/base/common/src/com/netscape/cms/servlet/admin/CAAdminServlet.java
index 5461e8ff569f6150b468821b3efe08f97f3e3f6d..9b6f50b4f7353c53354d493249b0d79bca5546c4 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/admin/CAAdminServlet.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/admin/CAAdminServlet.java
@@ -1523,8 +1523,6 @@ public class CAAdminServlet extends AdminServlet {
          */
         IConfigStore eeConfig = null;
 
-        if (eeGateway != null) 
-            eeConfig = eeGateway.getConfigStore();
         IConfigStore caConfig = mCA.getConfigStore();
 
         Enumeration enum1 = req.getParameterNames();
diff --git a/pki/base/common/src/com/netscape/cms/servlet/admin/LogAdminServlet.java b/pki/base/common/src/com/netscape/cms/servlet/admin/LogAdminServlet.java
index 67f633468e35cee64861bf129b37f461eb994bc5..316654720b0d13d8b7cea0df89ef9fd48265dea5 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/admin/LogAdminServlet.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/admin/LogAdminServlet.java
@@ -1998,111 +1998,6 @@ public class LogAdminServlet extends AdminServlet {
             }
             // initialize the log
 
-            try {
-                if (false) {
-                    newMgrInst.init(mSys, substore);
-				}
-            } catch (EBaseException e) {
-                // check to see if the log file path parameter was changed
-                newLogPath = auditCheckLogPath(req);
-
-                // check to see if the log expiration time parameter was changed
-                // newExpirationTime = auditCheckLogExpirationTime(req);
-
-                // don't commit in this case and cleanup the new substore.
-                restore(instancesConfig, id, saveParams);
-
-                // store a message in the signed audit log file
-                // (regardless of logType)
-                if (!(newLogPath.equals(origLogPath))) {
-                    auditMessage = CMS.getLogMessage(
-                                LOGGING_SIGNED_AUDIT_LOG_PATH_CHANGE,
-                                auditSubjectID,
-                                ILogger.FAILURE,
-                                logType,
-                                newLogPath);
-
-                    audit(auditMessage);
-                }
-
-                // store a message in the signed audit log file
-                // (regardless of logType)
-                /* if (!(newExpirationTime.equals(origExpirationTime))) {
-                    auditMessage = CMS.getLogMessage(
-                                LOGGING_SIGNED_AUDIT_LOG_EXPIRATION_CHANGE,
-                                auditSubjectID,
-                                ILogger.FAILURE,
-                                logType,
-                                newExpirationTime);
-
-                    audit(auditMessage);
-                } */
-
-                // store a message in the signed audit log file
-                if (logType.equals(SIGNED_AUDIT_LOG_TYPE)) {
-                    auditMessage = CMS.getLogMessage(
-                                LOGGING_SIGNED_AUDIT_CONFIG_SIGNED_AUDIT,
-                                auditSubjectID,
-                                ILogger.FAILURE,
-                                auditParams(req));
-
-                    audit(auditMessage);
-                }
-
-                sendResponse(ERROR, e.toString(getLocale(req)), null, 
-                    resp);
-                return;
-            } catch (Throwable e) {
-                // check to see if the log file path parameter was changed
-                newLogPath = auditCheckLogPath(req);
-
-                // check to see if the log expiration time parameter was changed
-                // newExpirationTime = auditCheckLogExpirationTime(req);
-
-                restore(instancesConfig, id, saveParams);
-
-                // store a message in the signed audit log file
-                // (regardless of logType)
-                if (!(newLogPath.equals(origLogPath))) {
-                    auditMessage = CMS.getLogMessage(
-                                LOGGING_SIGNED_AUDIT_LOG_PATH_CHANGE,
-                                auditSubjectID,
-                                ILogger.FAILURE,
-                                logType,
-                                newLogPath);
-
-                    audit(auditMessage);
-                }
-
-                // store a message in the signed audit log file
-                // (regardless of logType)
-                /* if (!(newExpirationTime.equals(origExpirationTime))) {
-                    auditMessage = CMS.getLogMessage(
-                                LOGGING_SIGNED_AUDIT_LOG_EXPIRATION_CHANGE,
-                                auditSubjectID,
-                                ILogger.FAILURE,
-                                logType,
-                                newExpirationTime);
-
-                    audit(auditMessage);
-                } */
-
-                // store a message in the signed audit log file
-                if (logType.equals(SIGNED_AUDIT_LOG_TYPE)) {
-                    auditMessage = CMS.getLogMessage(
-                                LOGGING_SIGNED_AUDIT_CONFIG_SIGNED_AUDIT,
-                                auditSubjectID,
-                                ILogger.FAILURE,
-                                auditParams(req));
-
-                    audit(auditMessage);
-                }
-
-                sendResponse(ERROR, e.toString(), null, 
-                    resp);
-                return;
-            }
-
             // initialized ok.  commiting
             try {
                 mConfig.commit(true);
diff --git a/pki/base/common/src/com/netscape/cms/servlet/cert/CMCRevReqServlet.java b/pki/base/common/src/com/netscape/cms/servlet/cert/CMCRevReqServlet.java
index 57ad7737c8d8eeae1245258e801f322c1de7654a..cd3326fb7990a728a4d4eda2a22038c44d9662c3 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/cert/CMCRevReqServlet.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/cert/CMCRevReqServlet.java
@@ -294,7 +294,7 @@ CMS.debug("**** mFormPath = "+mFormPath);
                 EBaseException ee = new EBaseException("No matched certificate is found");
 
                 cmsReq.setError(ee);
-            } else if (error == null) {
+            } else {
                 String xmlOutput = req.getParameter("xml");
                 if (xmlOutput != null && xmlOutput.equals("true")) {
                   outputXML(resp, argSet);
@@ -303,9 +303,6 @@ CMS.debug("**** mFormPath = "+mFormPath);
                   form.renderOutput(out, argSet);
                   cmsReq.setStatus(CMSRequest.SUCCESS);
                 }
-            } else {
-                cmsReq.setStatus(CMSRequest.ERROR);
-                cmsReq.setError(error);
             }
         } catch (IOException e) {
             log(ILogger.LL_FAILURE,
diff --git a/pki/base/common/src/com/netscape/cms/servlet/cert/ChallengeRevocationServlet1.java b/pki/base/common/src/com/netscape/cms/servlet/cert/ChallengeRevocationServlet1.java
index 5218233f138629e63487c75b8115791210917e4c..0b5767950c1505a8740fc388c830270479094daf 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/cert/ChallengeRevocationServlet1.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/cert/ChallengeRevocationServlet1.java
@@ -275,7 +275,7 @@ public class ChallengeRevocationServlet1 extends CMSServlet {
                 EBaseException ee = new EBaseException("No matched certificate is found");
 
                 cmsReq.setError(ee);
-            } else if (error == null) {
+            } else {
                 String xmlOutput = req.getParameter("xml");
                 if (xmlOutput != null && xmlOutput.equals("true")) {
                   outputXML(resp, argSet);
@@ -284,9 +284,6 @@ public class ChallengeRevocationServlet1 extends CMSServlet {
                   form.renderOutput(out, argSet);
                   cmsReq.setStatus(CMSRequest.SUCCESS);
                 }
-            } else {
-                cmsReq.setStatus(CMSRequest.ERROR);
-                cmsReq.setError(error);
             }
         } catch (IOException e) {
             log(ILogger.LL_FAILURE,
diff --git a/pki/base/common/src/com/netscape/cms/servlet/cert/CloneRedirect.java b/pki/base/common/src/com/netscape/cms/servlet/cert/CloneRedirect.java
index c9fcf25be7106387ac22d94a42b28f9b0f724b1f..0bc7e2061ea724f4e62c8524b5ea0e7808d25cad 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/cert/CloneRedirect.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/cert/CloneRedirect.java
@@ -124,7 +124,7 @@ public class CloneRedirect extends CMSServlet {
         try {
             ServletOutputStream out = resp.getOutputStream();
 
-            if (error == null) {
+            {
                 String xmlOutput = req.getParameter("xml");
                 if (xmlOutput != null && xmlOutput.equals("true")) {
                   outputXML(resp, argSet);
@@ -133,9 +133,6 @@ public class CloneRedirect extends CMSServlet {
                   form.renderOutput(out, argSet);
                   cmsReq.setStatus(CMSRequest.SUCCESS);
                 }
-            } else {
-                cmsReq.setStatus(CMSRequest.ERROR);
-                cmsReq.setError(error);
             }
         } catch (IOException e) {
             log(ILogger.LL_FAILURE, 
diff --git a/pki/base/common/src/com/netscape/cms/servlet/cert/DisplayCRL.java b/pki/base/common/src/com/netscape/cms/servlet/cert/DisplayCRL.java
index 817bf01e3913bb86a9c2006e5b7a28c2030a19f1..94c4738c19f4d883a560b95a004c2cab1ee81e34 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/cert/DisplayCRL.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/cert/DisplayCRL.java
@@ -149,7 +149,7 @@ public class DisplayCRL extends CMSServlet {
         try {
             ServletOutputStream out = resp.getOutputStream();
 
-            if (error == null) {
+            {
                 String xmlOutput = req.getParameter("xml");
                 if (xmlOutput != null && xmlOutput.equals("true")) {
                   outputXML(resp, argSet);
@@ -158,9 +158,6 @@ public class DisplayCRL extends CMSServlet {
                   form.renderOutput(out, argSet);
                   cmsReq.setStatus(CMSRequest.SUCCESS);
                 }
-            } else {
-                cmsReq.setStatus(CMSRequest.ERROR);
-                cmsReq.setError(error);
             }
         } catch (IOException e) {
             log(ILogger.LL_FAILURE, 
diff --git a/pki/base/common/src/com/netscape/cms/servlet/cert/GetCRL.java b/pki/base/common/src/com/netscape/cms/servlet/cert/GetCRL.java
index cad231ed79fe83e04c7df6563a920ac0556f82a3..cb83351afc5a244b78b54c491641f9d11abb8949 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/cert/GetCRL.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/cert/GetCRL.java
@@ -258,13 +258,6 @@ CMS.debug("**** mFormPath before getTemplate = "+mFormPath);
                 cmsReq.setStatus(CMSRequest.ERROR);
                 return;
             }
-            if (crl == null) {
-                log(ILogger.LL_FAILURE, CMS.getLogMessage("CMSGW_FAILED_DECODE_CRL"));
-                cmsReq.setError(new ECMSGWException(
-                  CMS.getUserMessage("CMS_GW_DECODE_CRL_FAILED")));
-                cmsReq.setStatus(CMSRequest.ERROR);
-                return;
-            }
             if ((op.equals("importDeltaCRL") || (op.equals("displayCRL") &&
                  crlDisplayType != null && crlDisplayType.equals("deltaCRL"))) &&
                   ((!(crlIP != null && crlIP.isThisCurrentDeltaCRL(crl))) &&
diff --git a/pki/base/common/src/com/netscape/cms/servlet/cert/HashEnrollServlet.java b/pki/base/common/src/com/netscape/cms/servlet/cert/HashEnrollServlet.java
index c6c0c495aa69e39ea6541315bf3ffa80f3d209d7..24dda2a59f6f7e86d4ed9518fffc8bcd4857d8be 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/cert/HashEnrollServlet.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/cert/HashEnrollServlet.java
@@ -415,16 +415,6 @@ public class HashEnrollServlet extends CMSServlet {
             // }
         }
 
-        if (certAuthEnroll == true) {
-            // log(ILogger.LL_DEBUG, "just gotten subjectDN and serialNumber from ssl client cert");
-            if (authToken == null) {
-                // authToken is null, can't match to anyone; bail!
-                log(ILogger.LL_FAILURE, 
-                    CMS.getLogMessage("CMSGW_ERR_PROCESS_ENROLL_NO_AUTH"));
-                return;
-            }
-        }
-
         // fill certInfo from input types: keygen, cmc, pkcs10 or crmf
         KeyGenInfo keyGenInfo = 
             httpParams.getValueAsKeyGenInfo(SUBJECT_KEYGEN_INFO, null);	
diff --git a/pki/base/common/src/com/netscape/cms/servlet/common/CMCOutputTemplate.java b/pki/base/common/src/com/netscape/cms/servlet/common/CMCOutputTemplate.java
index 4931d7869631dad459c7f79e0290af74093fd328..03cb83f63b5a841439e511e02cf3c8d235d21f58 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/common/CMCOutputTemplate.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/common/CMCOutputTemplate.java
@@ -555,8 +555,6 @@ public class CMCOutputTemplate {
                         } catch (EBaseException ee) {
                             CMS.debug("CMCOutputTemplate: Certificate in the confirm acceptance control was not found");
                         }
-                        if (impl != null)
-                            confirmAccepted = true;
                     }
                     CMCStatusInfo cmcStatusInfo = null;
                     if (confirmAccepted) {
diff --git a/pki/base/common/src/com/netscape/cms/servlet/csadmin/ConfigHSMLoginPanel.java b/pki/base/common/src/com/netscape/cms/servlet/csadmin/ConfigHSMLoginPanel.java
index a3198414a04763ca38acd623f3edaeb193e98193..d8db2f66a86464271c9d90735f92f449afd02103 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/csadmin/ConfigHSMLoginPanel.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/csadmin/ConfigHSMLoginPanel.java
@@ -156,7 +156,7 @@ public class ConfigHSMLoginPanel extends WizardPanelBase {
 
         password = new Password(tokPwd.toCharArray());
 
-        if (password != null) {
+        {
             try {
                 if (token.passwordIsInitialized()) {
                     CMS.debug(
@@ -188,10 +188,6 @@ public class ConfigHSMLoginPanel extends WizardPanelBase {
                 context.put("errorString", e.toString());
                 rv = false;
             }
-        } else { // no password in password file, get from user
-            CMS.debug(
-                    "ConfigHSMLoginPanel:  loginToken():no password in cache, getting from user");
-            rv = false;
         }
         return rv;
     }
diff --git a/pki/base/common/src/com/netscape/cms/servlet/csadmin/GetCookie.java b/pki/base/common/src/com/netscape/cms/servlet/csadmin/GetCookie.java
index 962f87bfffb849bd9bf4fb3147ad6b2a9abdfa6b..43f3f956a39be30df891e4a10a04da7bba995cf3 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/csadmin/GetCookie.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/csadmin/GetCookie.java
@@ -249,13 +249,10 @@ public class GetCookie extends CMSServlet {
                         try {
                             ServletOutputStream out = httpResp.getOutputStream();
 
-                            if (error == null) {
+                            {
                                 cmsReq.setStatus(CMSRequest.SUCCESS);
                                 httpResp.setContentType("text/html");
                                 form.renderOutput(out, argSet);
-                            } else {
-                                cmsReq.setStatus(CMSRequest.ERROR);
-                                cmsReq.setError(error);
                             }
                         } catch (IOException e) {
                             log(ILogger.LL_FAILURE,
diff --git a/pki/base/common/src/com/netscape/cms/servlet/csadmin/MainPageServlet.java b/pki/base/common/src/com/netscape/cms/servlet/csadmin/MainPageServlet.java
index efb7659667450b872b018bee54c7bf154bfc8c3a..b0eff4405a9638086c2d78ba566fdbf15f9007c5 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/csadmin/MainPageServlet.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/csadmin/MainPageServlet.java
@@ -85,13 +85,10 @@ public class MainPageServlet extends CMSServlet {
         try {
             ServletOutputStream out = response.getOutputStream();
 
-            if (error == null) {
+            {
                 cmsReq.setStatus(CMSRequest.SUCCESS);
                 response.setContentType("text/html");
                 form.renderOutput(out, argSet);
-            } else {
-                cmsReq.setStatus(CMSRequest.ERROR);
-                cmsReq.setError(error);
             }
         } catch (IOException e) {
             log(ILogger.LL_FAILURE,
diff --git a/pki/base/common/src/com/netscape/cms/servlet/csadmin/UpdateNumberRange.java b/pki/base/common/src/com/netscape/cms/servlet/csadmin/UpdateNumberRange.java
index cf0f3a095ae685f4f9008a96be602594b9c1e561..b2bf21be44ffe6c842467e875b13e20807a7784a 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/csadmin/UpdateNumberRange.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/csadmin/UpdateNumberRange.java
@@ -180,36 +180,14 @@ public class UpdateNumberRange extends CMSServlet {
 
             String endNumStr = cs.getString(endNumConfig, "");
             endNum = new BigInteger(endNumStr, radix);
-            if ( endNum == null ) {
-                CMS.debug( "UpdateNumberRange::process() - " +
-                           "request endNum is null!" );
-                return;
-            }
-
             String decrementStr = cs.getString(cloneNumConfig, "");
             BigInteger decrement = new BigInteger(decrementStr, radix);
-            if (decrement == null) {
-                CMS.debug("UpdateNumberRange::process() - " +
-                           "request decrement string is null!" );
-                return;
-            }
-  
             beginNum = endNum.subtract(decrement).add(oneNum);
 
             if (beginNum.compareTo(repo.getTheSerialNumber()) < 0) {
                 String nextEndNumStr = cs.getString(nextEndConfig, "");
                 BigInteger endNum2 = new BigInteger(nextEndNumStr, radix);
-                if (endNum2 == null) {
-                    CMS.debug("UpdateNumberRange::process() - " +
-                        "Unused requests less than cloneTransferNumber!" );
-                    auditMessage = CMS.getLogMessage(
-                                       LOGGING_SIGNED_AUDIT_CONFIG_SERIAL_NUMBER,
-                                       auditSubjectID,
-                                       ILogger.FAILURE,
-                                       auditParams);
-                    audit(auditMessage);
-                    return;
-                } else {
+                {
                     CMS.debug("Transferring from the end of on-deck range");
                     String newValStr = endNum2.subtract(decrement).toString(radix);
                     repo.setNextMaxSerial(newValStr);
@@ -237,18 +215,6 @@ public class UpdateNumberRange extends CMSServlet {
                 return;
             }
 
-            if( endNum == null ) {
-                CMS.debug( "UpdateNumberRange::process() - " +
-                           "endNum is null!" );
-                auditMessage = CMS.getLogMessage(
-                                   LOGGING_SIGNED_AUDIT_CONFIG_SERIAL_NUMBER,
-                                   auditSubjectID,
-                                   ILogger.FAILURE,
-                                   auditParams);
-                audit(auditMessage);
-                return;
-            }
-
             // Enable serial number management in master for certs and requests
             if (type.equals("replicaId")) {
                repo.setEnableSerialMgmt(true);
diff --git a/pki/base/common/src/com/netscape/cms/servlet/ocsp/AddCAServlet.java b/pki/base/common/src/com/netscape/cms/servlet/ocsp/AddCAServlet.java
index e0823d66bd6086cbb2fcd2154cbd7b3187ab4ea5..939a0af75d5627faad880daec2d936207d62f0ca 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/ocsp/AddCAServlet.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/ocsp/AddCAServlet.java
@@ -292,7 +292,7 @@ public class AddCAServlet extends CMSServlet {
             ServletOutputStream out = resp.getOutputStream();
             String error = null;
 
-            if (error == null) {
+            {
                 String xmlOutput = req.getParameter("xml");
                 if (xmlOutput != null && xmlOutput.equals("true")) {
                   outputXML(resp, argSet);
@@ -301,9 +301,6 @@ public class AddCAServlet extends CMSServlet {
                   form.renderOutput(out, argSet);
                   cmsReq.setStatus(CMSRequest.SUCCESS);
                 }
-            } else {
-                cmsReq.setStatus(CMSRequest.ERROR);
-                //  cmsReq.setError(error);
             }
         } catch (IOException e) {
             log(ILogger.LL_FAILURE,
diff --git a/pki/base/common/src/com/netscape/cms/servlet/ocsp/AddCRLServlet.java b/pki/base/common/src/com/netscape/cms/servlet/ocsp/AddCRLServlet.java
index ac2f946442abd83d1a388d160c81c3fa22222a8f..356acd4b4c73a01e0eb2d1b3298d34c5645b1655 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/ocsp/AddCRLServlet.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/ocsp/AddCRLServlet.java
@@ -311,22 +311,6 @@ public class AddCRLServlet extends CMSServlet {
             log(ILogger.LL_INFO, "AddCRLServlet: CRL Issuer DN " + 
                 crl.getIssuerDN().getName());
 
-            // update the CRLIssuingPoint record
-            if (crl == null) {
-                // error
-
-                // store a message in the signed audit log file
-                auditMessage = CMS.getLogMessage(
-                    LOGGING_SIGNED_AUDIT_CRL_VALIDATION,
-                    auditSubjectID,
-                    ILogger.FAILURE );
-
-                audit( auditMessage );
-
-                throw new ECMSGWException(
-                    CMS.getUserMessage("CMS_GW_DECODING_CRL_ERROR"));
-            }
-
             ICRLIssuingPointRecord pt = null;
 
             try {
diff --git a/pki/base/common/src/com/netscape/cms/servlet/ocsp/CheckCertServlet.java b/pki/base/common/src/com/netscape/cms/servlet/ocsp/CheckCertServlet.java
index 1948d06cc0cbc12b7f49de8ae858411593818233..57ec1cc84881b15e1ae5b87afa7f8be179b55cee 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/ocsp/CheckCertServlet.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/ocsp/CheckCertServlet.java
@@ -196,7 +196,7 @@ public class CheckCertServlet extends CMSServlet {
             ServletOutputStream out = resp.getOutputStream();
             String error = null;
 
-            if (error == null) {
+            {
                 String xmlOutput = req.getParameter("xml");
                 if (xmlOutput != null && xmlOutput.equals("true")) {
                   outputXML(resp, argSet);
@@ -205,9 +205,6 @@ public class CheckCertServlet extends CMSServlet {
                   form.renderOutput(out, argSet);
                   cmsReq.setStatus(CMSRequest.SUCCESS);
                 }
-            } else {
-                cmsReq.setStatus(CMSRequest.ERROR);
-                //  cmsReq.setError(error);
             }
         } catch (IOException e) {
             log(ILogger.LL_FAILURE,
diff --git a/pki/base/common/src/com/netscape/cms/servlet/ocsp/ListCAServlet.java b/pki/base/common/src/com/netscape/cms/servlet/ocsp/ListCAServlet.java
index 9c36b18eded39a15d7c7cf3b4470e35ca4b1e3b0..931031a756a3b8ce37efb5b46dff3712c5fc879f 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/ocsp/ListCAServlet.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/ocsp/ListCAServlet.java
@@ -180,7 +180,7 @@ public class ListCAServlet extends CMSServlet {
             ServletOutputStream out = resp.getOutputStream();
             String error = null;
 
-            if (error == null) {
+            {
                 String xmlOutput = req.getParameter("xml");
                 if (xmlOutput != null && xmlOutput.equals("true")) {
                   outputXML(resp, argSet);
@@ -189,9 +189,6 @@ public class ListCAServlet extends CMSServlet {
                   form.renderOutput(out, argSet);
                   cmsReq.setStatus(CMSRequest.SUCCESS);
                 }
-            } else {
-                cmsReq.setStatus(CMSRequest.ERROR);
-                //  cmsReq.setError(error);
             }
         } catch (IOException e) {
             log(ILogger.LL_FAILURE,
diff --git a/pki/base/common/src/com/netscape/cms/servlet/ocsp/RemoveCAServlet.java b/pki/base/common/src/com/netscape/cms/servlet/ocsp/RemoveCAServlet.java
index 2e0b007a655638429019eda0ffad7ec78575f209..bc9612e4c7920db39a53d0f2767f1756f5218115 100644
--- a/pki/base/common/src/com/netscape/cms/servlet/ocsp/RemoveCAServlet.java
+++ b/pki/base/common/src/com/netscape/cms/servlet/ocsp/RemoveCAServlet.java
@@ -198,7 +198,7 @@ public class RemoveCAServlet extends CMSServlet {
             ServletOutputStream out = resp.getOutputStream();
             String error = null;
 
-            if (error == null) {
+            {
                 String xmlOutput = req.getParameter("xml");
                 if (xmlOutput != null && xmlOutput.equals("true")) {
                   outputXML(resp, argSet);
@@ -207,9 +207,6 @@ public class RemoveCAServlet extends CMSServlet {
                   form.renderOutput(out, argSet);
                   cmsReq.setStatus(CMSRequest.SUCCESS);
                 }
-            } else {
-                cmsReq.setStatus(CMSRequest.ERROR);
-                //  cmsReq.setError(error);
             }
         } catch (IOException e) {
             log(ILogger.LL_FAILURE,
diff --git a/pki/base/common/src/com/netscape/cmscore/apps/CMSEngine.java b/pki/base/common/src/com/netscape/cmscore/apps/CMSEngine.java
index a760f4fc16cfe68d4faad058debcd2e40d8a6b1e..92331a20d90aa606377620777f580d5ffd37a458 100644
--- a/pki/base/common/src/com/netscape/cmscore/apps/CMSEngine.java
+++ b/pki/base/common/src/com/netscape/cmscore/apps/CMSEngine.java
@@ -464,10 +464,6 @@ public class CMSEngine implements ICMSEngine {
             if (aclStr != null) {
                 StringTokenizer atok = new StringTokenizer(aclStr, ";");
 
-                if (atok == null) {
-                    throw new EACLsException(CMS.getUserMessage("CMS_ACL_NULL_VALUE", "atok"));
-                }
-
                 while (atok.hasMoreTokens()) {
                     String acs = (String) atok.nextToken();
 
diff --git a/pki/base/common/src/com/netscape/cmscore/dbs/DBSubsystem.java b/pki/base/common/src/com/netscape/cmscore/dbs/DBSubsystem.java
index 1c437896df66b9c22ee62f44aa2ed482bbf15e6f..3208a23d72a54f48e733ae8bef9d5c1bed27b07c 100644
--- a/pki/base/common/src/com/netscape/cmscore/dbs/DBSubsystem.java
+++ b/pki/base/common/src/com/netscape/cmscore/dbs/DBSubsystem.java
@@ -434,18 +434,9 @@ public class DBSubsystem implements IDBSubsystem {
             nextRange = (String) attr.getStringValues().nextElement();
 
             BigInteger nextRangeNo = new BigInteger(nextRange);
-            if (nextRangeNo == null) {
-               throw new EBaseException("nextRangeNo is null!");
-            }
-
             BigInteger incrementNo = new BigInteger((String) h.get(PROP_INCREMENT));
-            if (incrementNo == null) {
-               throw new EBaseException("incrementNo is null!");
-            }
-
             // To make sure attrNextRange always increments, first delete the current value and then 
             // increment.  Two operations in the same transaction 
-
             LDAPAttribute attrNextRange = new LDAPAttribute(PROP_NEXT_RANGE,  nextRangeNo.add(incrementNo).toString());
             LDAPModification [] mods = {
                 new LDAPModification( LDAPModification.DELETE, attr), 
diff --git a/pki/base/common/src/com/netscape/cmscore/dbs/KeyRecordList.java b/pki/base/common/src/com/netscape/cmscore/dbs/KeyRecordList.java
index a3a3a98c07f4fb0793bf2c5ef191475515c114e8..d672b51578cf823bf96cc389b8b2a9e8ddbe2e7e 100644
--- a/pki/base/common/src/com/netscape/cmscore/dbs/KeyRecordList.java
+++ b/pki/base/common/src/com/netscape/cmscore/dbs/KeyRecordList.java
@@ -84,10 +84,8 @@ public class KeyRecordList implements IKeyRecordList {
                 entries.addElement(element);
             }
         }
-        if (entries != null) {
+        {
             return entries.elements();
-        } else {
-            return null;
         }
     }
 }
diff --git a/pki/base/common/src/com/netscape/cmscore/logging/LogSubsystem.java b/pki/base/common/src/com/netscape/cmscore/logging/LogSubsystem.java
index 0f1f93042bd65a226fdc8a4d9ba9d7c2513f9f47..eeae860c283a90fb2fe1d706b42da2332dd03ab4 100644
--- a/pki/base/common/src/com/netscape/cmscore/logging/LogSubsystem.java
+++ b/pki/base/common/src/com/netscape/cmscore/logging/LogSubsystem.java
@@ -144,10 +144,6 @@ public class LogSubsystem implements ILogSubsystem {
                 throw new EBaseException(insName + ":Failed to instantiate class " + className + " error: " + e.getMessage());
             }
 
-            if (logInst == null) {
-                throw new EBaseException("Failed to instantiate class " + className);
-            }
-
             if (insName == null) {
                 throw new EBaseException("Failed to instantiate class " + insName);
             }
diff --git a/pki/base/common/src/com/netscape/cmscore/security/KeyCertUtil.java b/pki/base/common/src/com/netscape/cmscore/security/KeyCertUtil.java
index 753c6cc46d50f2fcbb2e25d94727a0580afa1096..589d5a68c0fc70338e9c1ea5d599e70b056b100a 100644
--- a/pki/base/common/src/com/netscape/cmscore/security/KeyCertUtil.java
+++ b/pki/base/common/src/com/netscape/cmscore/security/KeyCertUtil.java
@@ -835,8 +835,6 @@ public class KeyCertUtil {
             return; // isCA is not optional
         if (isCA.equals("null"))
             return; // no BasicConstraints requested
-        if ((isCA == null) && (certLen == null))
-            return;
         int len = 0;
         boolean bool = false;
 
diff --git a/pki/base/common/src/com/netscape/cmscore/util/FileAsString.java b/pki/base/common/src/com/netscape/cmscore/util/FileAsString.java
index 715559f845a4d61cda7073d4fbd65cfd184301c0..c0ae1faafce874c8495ffa6a1c5453ee98a687bc 100644
--- a/pki/base/common/src/com/netscape/cmscore/util/FileAsString.java
+++ b/pki/base/common/src/com/netscape/cmscore/util/FileAsString.java
@@ -84,13 +84,7 @@ public class FileAsString {
             br = new BufferedReader(fr);
             mFilename = filename;
         } catch (IOException e) {
-            try {
-                if (fr != null) {
-                    fr.close();
-                }
-            } catch (Exception f) {
-            }
-            throw e;
+        	throw e;
         }
         return br;
     }
diff --git a/pki/base/java-tools/src/com/netscape/cmstools/CMCEnroll.java b/pki/base/java-tools/src/com/netscape/cmstools/CMCEnroll.java
index 7aa83dee953addc7d88dbbd00b17b2d9303cb8f9..7298fd2b399c40defe2797ef87ae03200e13f985 100644
--- a/pki/base/java-tools/src/com/netscape/cmstools/CMCEnroll.java
+++ b/pki/base/java-tools/src/com/netscape/cmstools/CMCEnroll.java
@@ -288,16 +288,13 @@ public class CMCEnroll {
             ByteArrayOutputStream bs = new ByteArrayOutputStream();
             PrintStream ps = new PrintStream(bs);
             
-            if (fullEnrollmentReq != null) {
+            {
                 // format is PR_REQUEST_CMC
                 ByteArrayOutputStream os = new ByteArrayOutputStream();
 
                 fullEnrollmentReq.encode(os);
                 ps.print(com.netscape.osutil.OSUtil.BtoA(os.toByteArray()));
                 //fullEnrollmentReq.print(ps); // no header/trailer
-            } else {
-                // format is PR_REQUEST_PKCS10
-                pkcs.print(ps);
             }
             asciiBASE64Blob = bs.toString();
         } catch (Exception e) {
diff --git a/pki/base/java-tools/src/com/netscape/cmstools/DRMTool.java b/pki/base/java-tools/src/com/netscape/cmstools/DRMTool.java
index d9279225360ae191aa812ab80f06a6eb1c1599c5..625532330d54aefb28207d61d86cf9758a3f7f9f 100644
--- a/pki/base/java-tools/src/com/netscape/cmstools/DRMTool.java
+++ b/pki/base/java-tools/src/com/netscape/cmstools/DRMTool.java
@@ -1632,14 +1632,6 @@ public class DRMTool
         // the BINARY BASE 64 byte[] object
         try {
             cert = new X509CertImpl( decodedBASE64Cert );
-            if( cert == null ) {
-                log( "ERROR:  Unable to parse "
-                   + "certificate from '"
-                   + mTargetStorageCertificateFilename
-                   + "'."
-                   + NEWLINE, true );
-                System.exit( 0 );
-            }
         } catch( CertificateException exWrapCertificate ) {
             log( "ERROR:  Error encountered "
                + "in parsing certificate in '"
diff --git a/pki/base/java-tools/src/com/netscape/cmstools/PKCS10Client.java b/pki/base/java-tools/src/com/netscape/cmstools/PKCS10Client.java
index 05b0acf9da6abb650a77fde570b487e87b21b8b5..5f09991199fbe747f4521c59baf1a43404b51acd 100644
--- a/pki/base/java-tools/src/com/netscape/cmstools/PKCS10Client.java
+++ b/pki/base/java-tools/src/com/netscape/cmstools/PKCS10Client.java
@@ -102,9 +102,6 @@ public class PKCS10Client
             dbdir = ".";
 
 	try { 
-            // initialize CryptoManager
-            if (dbdir == null)
-                dbdir = ".";
             String mPrefix = "";
             CryptoManager.InitializationValues vals =
               new CryptoManager.InitializationValues(dbdir, mPrefix,
diff --git a/pki/base/kra/src/com/netscape/kra/EnrollmentService.java b/pki/base/kra/src/com/netscape/kra/EnrollmentService.java
index 713e276d71408af79bc0f3b51c85ab5865a8b82c..8f9a08b29ee47982ea43d5c605279a98a5f4deba 100644
--- a/pki/base/kra/src/com/netscape/kra/EnrollmentService.java
+++ b/pki/base/kra/src/com/netscape/kra/EnrollmentService.java
@@ -352,19 +352,6 @@ public class EnrollmentService implements IService {
                     privateKeyData, owner, 
                     publicKey.getAlgorithmId().getOID().toString(), agentId);
 
-            if (rec == null) {
-
-                auditMessage = CMS.getLogMessage(
-                        LOGGING_SIGNED_AUDIT_PRIVATE_KEY_ARCHIVE_REQUEST,
-                        auditSubjectID,
-                        ILogger.FAILURE,
-                        auditRequesterID,
-                        auditArchiveID);
-
-                audit(auditMessage);
-                throw new EKRAException(CMS.getUserMessage("CMS_KRA_INVALID_KEYRECORD"));
-            }
-
             // we deal with RSA key only
             try {
                 RSAPublicKey rsaPublicKey = new RSAPublicKey(publicKeyData);
@@ -787,7 +774,7 @@ public class EnrollmentService implements IService {
             }
         }
 
-        if (key != null) {
+        {
             key = key.trim();
 
             if (key.equals("")) {
@@ -795,8 +782,6 @@ public class EnrollmentService implements IService {
             } else {
                 return key;
             }
-        } else {
-            return ILogger.SIGNED_AUDIT_EMPTY_VALUE;
         }
     }
     /**
diff --git a/pki/base/kra/src/com/netscape/kra/KeyRecoveryAuthority.java b/pki/base/kra/src/com/netscape/kra/KeyRecoveryAuthority.java
index f055442bc8912f3a39087978cef16243db74b12e..74bb695430b0b78460c90eeaba569502298bcbe7 100644
--- a/pki/base/kra/src/com/netscape/kra/KeyRecoveryAuthority.java
+++ b/pki/base/kra/src/com/netscape/kra/KeyRecoveryAuthority.java
@@ -1688,15 +1688,7 @@ public class KeyRecoveryAuthority implements IAuthority, IKeyService, IKeyRecove
             }
         }
 
-        if (key != null) {
-            key = key.trim();
-
-            if (key.equals("")) {
-                return ILogger.SIGNED_AUDIT_EMPTY_VALUE;
-            } else {
-                return key;
-            }
-        } else {
+        {
             return ILogger.SIGNED_AUDIT_EMPTY_VALUE;
         }
     }
diff --git a/pki/base/kra/src/com/netscape/kra/NetkeyKeygenService.java b/pki/base/kra/src/com/netscape/kra/NetkeyKeygenService.java
index 31b613249d7a827e4d906e3064bc5a6af1e618b0..c69ab8c1685f9c1947b30941c09961ebb72399d0 100644
--- a/pki/base/kra/src/com/netscape/kra/NetkeyKeygenService.java
+++ b/pki/base/kra/src/com/netscape/kra/NetkeyKeygenService.java
@@ -548,12 +548,7 @@ public class NetkeyKeygenService implements IService {
 						  keypair.getPublic().getAlgorithm(),
 						  agentId);
 
-		    if (rec == null) {
-			request.setExtData(IRequest.RESULT, Integer.valueOf(11));
-			CMS.debug("NetkeyKeygenService: privatekey recording failed");
-			return false;
-		    } else
-			CMS.debug("NetkeyKeygenService: got key record");
+		    CMS.debug("NetkeyKeygenService: got key record");
 		    
 		    // we deal with RSA key only
 		    try {
diff --git a/pki/base/silent/src/argparser/ArgParser.java b/pki/base/silent/src/argparser/ArgParser.java
index e7bd7e7413976ac2f73763da717e6ce9763a8a66..d893e64782318905c0600e2c5605da7d216bb8c9 100755
--- a/pki/base/silent/src/argparser/ArgParser.java
+++ b/pki/base/silent/src/argparser/ArgParser.java
@@ -1493,10 +1493,6 @@ public class ArgParser
 	    }
 	   while (c != '%');
 
-	   if (nameTail == null)
-	    { throw new IllegalArgumentException
-		 ("Null option name given");
-	    }
 	   if (!nameTail.oneWord)
 	    { for (ndesc=rec.nameList; ndesc!=null; ndesc=ndesc.next)
 	       { ndesc.oneWord = false; 
-- 
1.7.7

